Skip to main content
List Messages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Query Parameters

id
string

Message ID

created_at
string

Message creation date

updated_at
string

Latest update

organisation_id
string

Organisation ID

conversation_id
string

Conversation ID

is_inbound
string

Is the message inbound?

subject
string

Subject of message

author_id
string

Author ID

content
string

Content of message

raw_content
string

Raw content of message

status
string

Status of message

attachment_count
string

Attachment count of message

reply_to_message_id
string

Reply to message ID

external_files
string

External files of message

external_id
string

External ID

template_id
string

Template ID

review_channel_id
string

Review Channel ID

author_type
string

Author type of message

forwarded
string

Is message forwarded?

forwarded_message_text
string

Forwarded Message text

send_after
string

Message send after

Message footer

sendout_id
string

Sendout ID

campaign_id
string

Campaign ID

sent_at
string

Message sent at

timestamp
string

Timestamp of message

location
string

Coordinates that are shared via chat

location_metadata
string

Location metadata of message

contacts
string

Contacts of message

files
string

Files shared with the message

header_media_filename
string

Header media filename of message

select
string

Filtering Columns

order
string

Ordering. Allowed Fields: timestamp

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

200 - application/json

OK

id
string<uuid>
default:random uuid

Message ID

created_at
string<timestamp with time zone>
default:now()

Message creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

conversation_id
string<uuid>

Conversation ID

is_inbound
boolean<boolean>
default:false

Is the message inbound?

subject
string<text> | null

Subject of message

author_id
string<uuid> | null

Author ID

content
object | null

Content of message

raw_content
string<text> | null

Raw content of message

status
enum<string> | null

Status of message

Available options:
sent,
sending_error,
bounce_error,
submission_error,
submitted,
sending,
read,
draft,
scheduled,
interacted,
answered
attachment_count
integer<integer> | null

Attachment count of message

reply_to_message_id
string<uuid> | null

Reply to message ID

external_files
object | null

External files of message

external_id
string<text> | null

External ID

template_id
string<uuid> | null

Template ID

review_channel_id
string<uuid> | null

Review Channel ID

author_type
enum<string> | null

Author type of message

Available options:
employee,
bot,
external
forwarded
boolean<boolean>
default:false

Is message forwarded?

forwarded_message_text
string<text> | null

Forwarded Message text

send_after
string<timestamp with time zone> | null

Message send after

Message footer

sendout_id
string<uuid> | null

Sendout ID

campaign_id
string<uuid> | null

Campaign ID

sent_at
string<timestamp with time zone> | null

Message sent at

timestamp
string<timestamp with time zone> | null

Timestamp of message

location
string<extensions.geography(Point,4326)> | null

Coordinates that are shared via chat

location_metadata
object | null

Location metadata of message

contacts
object | null

Contacts of message

files
object | null

Files shared with the message

header_media_filename
string<text> | null

Header media filename of message